Go to the latest version of this document.

# ``twisted`.`conch`.`telnet`.`TelnetProtocol``

class documentation

`class TelnetProtocol(protocol.Protocol): (source)`

Known subclasses: `twisted.conch.telnet.StatefulTelnetProtocol`, `twisted.conch.telnet.TelnetBootstrapProtocol`

Implements interfaces: `twisted.conch.telnet.ITelnetProtocol`

View In Hierarchy

Undocumented

Method | `disableLocal` | Disable the given option locally.
Method | `disableRemote` | Indicate that the peer has disabled this option.
Method | `enableLocal` | Enable the given option locally.
Method | `enableRemote` | Indicate whether the peer should be allowed to enable this option.
Method | `unhandledCommand` | A command was received but not understood.
Method | `unhandledSubnegotiation` | A subnegotiation command was received but not understood.
Class Variable | `_log` | Undocumented

Inherited from `Protocol`:

Method | `connectionLost` | Called when the connection is shut down.
Method | `dataReceived` | Called whenever data is received.
Method | `logPrefix` | Return a prefix matching the class name, to identify log messages related to this protocol instance.
Class Variable | `factory` | Undocumented

Inherited from `BaseProtocol` (via `Protocol`):

Method | `connectionMade` | Called when a connection is made.
Method | `makeConnection` | Make a connection to a transport and a server.
Instance Variable | `connected` | Undocumented
Instance Variable | `transport` | Undocumented

def disableLocal(self, option): (source)
from `twisted.conch.telnet.ITelnetProtocol`

Disable the given option locally.

Unlike enableLocal, this method cannot fail. The option must be disabled.

Parameters
option:`bytes`, a single character. | the option to be disabled.

def disableRemote(self, option): (source)
from `twisted.conch.telnet.ITelnetProtocol`

Indicate that the peer has disabled this option.

Parameters
option:`bytes`, a single character. | the option to be disabled.

def enableLocal(self, option): (source)
from `twisted.conch.telnet.ITelnetProtocol`
overridden in `twisted.conch.telnet.TelnetBootstrapProtocol`

Enable the given option locally.

This should enable the given option on this side of the telnet connection and return True. If False is returned, the option will be treated as still disabled and the peer will be notified.

Parameters
option:`bytes`, a single character. | the option to be enabled.

def enableRemote(self, option): (source)
from `twisted.conch.telnet.ITelnetProtocol`
overridden in `twisted.conch.telnet.TelnetBootstrapProtocol`

Indicate whether the peer should be allowed to enable this option.

Returns True if the peer should be allowed to enable this option, False otherwise.

Parameters
option:`bytes`, a single character. | the option to be enabled.

def unhandledCommand(self, command, argument): (source)
from `twisted.conch.telnet.ITelnetProtocol`

A command was received but not understood.

Parameters
command:`str`, a single character. | the command received.
argument:`str`, a single character, or None if the command that was unhandled does not provide an argument. | the argument to the received command.

def unhandledSubnegotiation(self, command, data): (source)
from `twisted.conch.telnet.ITelnetProtocol`

A subnegotiation command was received but not understood.

Parameters
command:`str`, a single character. | the command being subnegotiated. That is, the first byte after the SB command.
data:`bytes`, each a single character | all other bytes of the subneogation. That is, all but the first bytes between SB and SE, with IAC un-escaping applied.

_log = (source)

Undocumented